<?
include '../config.php';
include '../func.php';

head();
aut();
ban();
////////////////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'fo' WHERE `id` = '".$id_session."'");



echo head . "Обменник файлов /  <b>Поиск файла</b>" . div;   
echo katalog;

switch ($_GET['mod']) {
    
default:
    echo '
    <FORM method="POST" action="search.php?mod=result">
    Найти:<br/>
    <input type="text" name="search"/>
    <br/>
    <select name="po">
    Искать по:<br/>
    <option value="0">Названию</option>
    <option value="1">Описанию</option>
    </select><br/>
    <input type="submit" name="go" value="Искать"/>
    </FORM>
    ';
break;

case 'result':
    $search = html($_POST['search']);
    $po = num($_POST['po']);
    if (empty($po)) $err = 'Вы не ввели запрос';
    
    $s = mysql_result(mysql_query("SELECT COUNT(*) FROM `fo_fil` WHERE `name` LIKE '%".$search."%'"), 0);
    
    echo 'Вы искали: <b>'.$search.'</b><br/ >';
    echo 'Найдено: <b>'.$s.'</b><br/ >';
    
break;

}

echo div;
/////////////////////////////////////////

navig();
foot();
?>